/*
 * Globals
 */

/* Links */
a,
a:focus,
a:hover {
    color: #fff;
}

/* Custom default button */
.btn-secondary,
.btn-secondary:hover,
.btn-secondary:focus {
    color: #333;
    text-shadow: none; /* Prevent inheritance from `body` */
    background-color: #fff;
    border: .05rem solid #fff;
}


/*
 * Base structure
 */

html,
body {
    height: 100%;
    /*background-color: #333;*/
    background-image: url("bg-index.jpg");
    background-size:cover;
    -webkit-background-size: cover;
    -o-background-size: cover;
}
body {
    color: #fff;
    text-align: center;
    text-shadow: 0 .05rem .1rem rgba(0,0,0,.5);
}

/* Extra markup and styles for table-esque vertical and horizontal centering */
.site-wrapper {
    display: table;
    width: 100%;
    height: 100%; /* For at least Firefox */
    min-height: 100%;
    box-shadow: inset 0 0 5rem rgba(0,0,0,.5);
}
.site-wrapper-inner {
    display: table-cell;
    vertical-align: top;
}
.cover-container {
    margin-right: auto;
    margin-left: auto;
}

/* Padding for spacing */
.inner {
    padding: 2rem;
}


/*
 * Header
 */

.masthead {
    margin-bottom: 2rem;
}

.masthead-brand {
    margin-bottom: 0;
}

.nav-masthead .nav-link {
    padding: .25rem 0;
    font-weight: 700;
    color: rgba(255,255,255,.5);
    background-color: transparent;
    border-bottom: .25rem solid transparent;
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
    border-bottom-color: rgba(255,255,255,.25);
}

.nav-masthead .nav-link + .nav-link {
    margin-left: 1rem;
}

.nav-masthead .active {
    color: #fff;
    border-bottom-color: #fff;
}

@media (min-width: 48em) {
    .masthead-brand {
        float: left;
    }
    .nav-masthead {
        float: right;
    }
}


/*
 * Cover
 */

.cover {
    padding: 0 1.5rem;
}
.cover .btn-lg {
    padding: .75rem 1.25rem;
    font-weight: 700;
}


/*
 * Footer
 */

.mastfoot {
    color: rgba(255,255,255,.5);
}


/*
 * Affix and center
 */

@media (min-width: 40em) {
    /* Pull out the header and footer */
    .masthead {
        position: fixed;
        top: 0;
    }
    .mastfoot {
        position: fixed;
        bottom: 0;
    }

    /* Start the vertical centering */
    .site-wrapper-inner {
        vertical-align: middle;
    }

    /* Handle the widths */
    .masthead,
    .mastfoot,
    .cover-container {
        width: 100%; /* Must be percentage or pixels for horizontal alignment */
    }
}

@media (min-width: 62em) {
    .masthead,
    .mastfoot,
    .cover-container {
        width: 42rem;
    }
}

.text-relative{
    position: relative;
}

#changeButton{
    cursor: pointer;
}

/**覆盖原始bootstrap的tooltip样式*/
.tooltip.bs-tooltip-auto[x-placement^=bottom] .arrow::before, .tooltip.bs-tooltip-bottom .arrow::before {
    border-bottom-color: #17a2b8;
}

.tooltip-inner {
    border: 1px solid #17a2b8;
    background-color: transparent;
}

/**HTML5 Background Video StyleSheet*/
#container {
    overflow: hidden;
    /*position: absolute;*/
    top: 0; left: 0; right: 0; bottom: 0;
}

#background_video {
    position: absolute;

    top: 50%; left: 50%;
    transform: translate(-50%, -50%);

    object-fit: cover;
    height: 100%; width: 100%;
}

#video_controls {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
}

#play img {
    width: 100px;
}
#pause img {
    width: 90px;
}
#play,#pause {
    display: none;
}

@media (min-width: 768px) {
    #video_controls {
        display: none;
    }
}
